Обозначение центра

Автор Kredo, 12.10.05, 05:22:46

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

Kredo

Хочу построить произвольное обозначение центра. Но ничего не строится. Что-то где-то не хватает.
Вот код:
Doc:=ksDocument2D(Kompas.ActiveDocument2D);
        x1:=0;
        y1:=0;
        iReqInfo:=ksRequestInfo(kompas.GetParamStruct(ko_RequestInfo));
        iReqInfo.Init;
        iReqInfo.commandsString:=’Укажите точку привязки для объекта’;
        Kompas.ksEnableTaskAccess(1);
        cp:=ksCentreParam(kompas.GetParamStruct(ko_CentreParam));
        if cp=nil then
                exit;
        doc.ksCursor(iReqInfo,x1,y1,nil);
        cp.Init;
        cp.baseCurve:=0;
        cp.x:=x1;
        cp.y:=y1;
        cp.angle:=45.0;
        cp.type_:=2;
        cp.standXpTail:=true;
        cp.lenXpTail:=50;

Kredo

Ура )))))))))))))))) Разобрался. Вопрос закрыт.